before_script:
  - module load python/3.6.1-2-anaconda
  - module load nextflow/0.31.1_Ignite
  - mkdir test_data/v2s2r100k
  - mkdir test_data/v3s2r100k
  - ln -s /project/shared/bicf_workflow_ref/workflow_testdata/cellranger/cellranger_count/v2s2r100k/* test_data/v2s2r100k/
  - ln -s /project/shared/bicf_workflow_ref/workflow_testdata/cellranger/cellranger_count/v3s2r100k/* test_data/v3s2r100k/

stages:
  - integration

simple_cr2v2ref1.2.0:
  stage: integration
  script:
  - nextflow run workflow/main.nf --fastq "$CI_PROJECT_DIR/test_data/v2s2r100k/*.fastq.gz" --designFile "$CI_PROJECT_DIR/test_data/v2s2r100k/design.csv" --genome 'GRCh38-1.2.0' --kitVersion 'two' --version '2.1.1'

simple_cr2v2ref3.0.0:
  stage: integration
  script:
  - nextflow run workflow/main.nf --fastq "$CI_PROJECT_DIR/test_data/v2s2r100k/*.fastq.gz" --designFile "$CI_PROJECT_DIR/test_data/v2s2r100k/design.csv" --genome 'GRCh38-3.0.0' --kitVersion 'two' --version '2.1.1'

simple_cr3v2ref3.0.0:
  stage: integration
  script:
  - nextflow run workflow/main.nf --fastq "$CI_PROJECT_DIR/test_data/v2s2r100k/*.fastq.gz" --designFile "$CI_PROJECT_DIR/test_data/v2s2r100k/design.csv" --genome 'GRCh38-3.0.0' --kitVersion 'two' --version '3.0.2'

simple_cr3v3ref3.0.0:
  stage: integration
  script:
  - nextflow run workflow/main.nf --fastq "$CI_PROJECT_DIR/test_data/v3s2r100k/*.fastq.gz" --designFile "$CI_PROJECT_DIR/test_data/v3s2r100k/design.csv" --genome 'GRCh38-3.0.0' --kitVersion 'three' --version '3.0.2'
